import { CancellingMultiScaleImageEventArgs as CancellingMultiScaleImageEventArgs_internal } from "./CancellingMultiScaleImageEventArgs";
import { ContentChildrenManager } from "./ContentChildrenManager";
export declare class IgrCancellingMultiScaleImageEventArgs {
    protected createImplementation(): CancellingMultiScaleImageEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): CancellingMultiScaleImageEventArgs_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get uri(): string;
    set uri(v: string);
}
